package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmClassesVerboseLevel extends Enumerated implements Serializable
{
    static final long serialVersionUID = -620710366914810374L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmClassesVerboseLevel(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmClassesVerboseLevel(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmClassesVerboseLevel() throws IllegalArgumentException {
    }
    
    public EnumJvmClassesVerboseLevel(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmClassesVerboseLevel.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmClassesVerboseLevel.stringTable;
    }
    
    static {
        EnumJvmClassesVerboseLevel.intTable = new Hashtable();
        EnumJvmClassesVerboseLevel.stringTable = new Hashtable();
        EnumJvmClassesVerboseLevel.intTable.put(new Integer(2), "verbose");
        EnumJvmClassesVerboseLevel.intTable.put(new Integer(1), "silent");
        EnumJvmClassesVerboseLevel.stringTable.put("verbose", new Integer(2));
        EnumJvmClassesVerboseLevel.stringTable.put("silent", new Integer(1));
    }
}
